Quassel IRC - Bug #1442

Automatically reconnect after suspend/connectivity reconnection

08/06/2017 04:11 PM - alexandernst

Status: Resolved Start date: 08/06/2017
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Quassel Client Estimated time: 0.00 hour
Target version:

Version: 0.12.4 0S: Any
Description

I don't know if this happens only in Mac or if it applies to all OSes, but | noticed that whenever my Mac goes in sleep mode, or if |
suspend it, or if there are some network connectivity issues, the client disconnects and then never connects backs. | have to

manually connect to the core (File -> Connect to core).

Can Quassel reconnect automatically when connectivity is available?

Associated revisions

Revision 6d32c0e7 - 02/04/2018 11:58 PM - romibi
Package bearer plugin on OSX

Fixes #1442. Closes GH-324.
Revision 594813ee - 03/01/2018 12:18 AM - romibi
Package bearer plugin on OSX

Fixes #1442. Closes GH-324.

(cherry picked from commit 6d32c0e7661d4404c2bd0e44652439b6c55b4545)

Revision c9388638 - 04/04/2018 11:14 PM - romibi
Package bearer plugin on OSX

Fixes #1442. Closes GH-324.

(cherry picked from commit 6d32c0e7661d4404c2bd0e44652439b6¢c5504545)

History

#1-01/31/2018 07:51 PM - romibi

probably the same issue as this ...

https://qgithub.com/quassel/quassel/pull/319
we need to provide the bearer plugin with quassel ...

not completely sure how to do it ... (the mac build script is a mess)
but i'll see if i find time to do it...

One Workaround is to set "Network Status Detection" to "Ping Timeout" instead of "Automatic" ...

#2 - 02/02/2018 01:38 PM - romibi

https://github.com/quassel/quassel/pull/329
Should fix this...

Builds to test:
https://github.com/romibi/quassel/releases/tag/build-fix-autoconnect-osx-tag

#3 - 02/04/2018 11:59 PM - romibi
- Status changed from New to Resolved

- % Done changed from 0 to 100
https://github.com/quassel/quassel/pull/319
https://github.com/quassel/quassel/pull/329
https://github.com/romibi/quassel/releases/tag/build-fix-autoconnect-osx-tag

Applied in changeset quassel|6d32c0e7661d4404c2bd0e44652439b6c55b4545.
